package main

import (
	"fmt"
	"log"

	httpserver "git.aetherial.dev/aeth/http-proxy/pkg"
	"github.com/gin-contrib/cors"
	"github.com/gin-gonic/gin"
)

func main() {
	cfg, err := httpserver.ReadConfig("./.config.json")
	if err != nil {
		log.Fatal("Couldnt read config: ", err)
	}
	fmt.Printf("%+v\n", cfg)
	e := gin.Default()
	config := cors.DefaultConfig()
	config.AllowOrigins = []string{
		"https://semrush.com",
		"https://static.semrush.com",
		"https://sem.bunnytool.shop",
	}
	e.Use(cors.New(config))

	httpserver.RegisterRoutes(e, cfg)
	e.RunTLS(fmt.Sprintf("%s:%v", "0.0.0.0", cfg.HttpsPort), "./certificate.pem", "privatekey.pem")

}
